diff -u -p -r1.63.6.8 modules.c
--- cvs-foo/src/modules.c	20 Mar 2004 22:25:49 -0000	1.63.6.8
+++ cvs-1.11.1p1/src/modules.c	2 Apr 2004 23:52:13 -0000
@@ -173,6 +173,13 @@ my_module (db, mname, m_type, msg, callb
     if (isabsolute (mname))
 	error (1, 0, "Absolute module reference invalid: `%s'", mname);
 
+    /* Similarly for directories that attempt to step above the root of the
+     * repository.
+     */
+    if (pathname_levels (mname) > 0)
+	error (1, 0, "up-level in module reference (`..') invalid: `%s'.",
+               mname);
+
     /* if this is a directory to ignore, add it to that list */
     if (mname[0] == '!' && mname[1] != '\0')
     {
